<?php

//  session_start();
//  // isset verifica si existe una variable o eso creo xd
//  if(isset($_SESSION['cargo']))
//  {
//    header('location: controller/redirec.php');
//  }

?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui">
    <!-- <link rel="icon" href="img/as.png" type="image/icon"> -->
    <title>Login para Certificados</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
<!--    <link rel="stylesheet" href="css/bootstrap.min.css"> -->
<!--    <link rel="stylesheet" href="css/font-awesome.min.css"> -->
    <link rel="stylesheet" href="css/sweetalert.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/arsm.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT" crossorigin="anonymous"></script>

  </head>
  <body>
    <?php include 'index_header.html'; ?>  
    <!-- Formulario Login -->
    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-md-5 col-md-offset-5">
          <div class="modal-dialog">
            <div class="modal-content text-dark">
              <div class="modal-header card-header">
                <h5 class="fs-1 fw-bold">Ingreso</h5>
              </div>
              <div class="modal-body">
                <div class="container">
                    <div class="spacing-2"></div>
                    <div class="form-floating mb-3">
                      <input id="user" type="text" autocomplete="off" class="form-control form-control-sm" value="" placeholder="place Ingresa tu correo">
                      <label for="txt_ean">Ingresa tu Correo</label>
                    </div>
                    <div class="spacing-2"></div>
                    <div class="form-floating mb-3">
                      <input id="clave" type="password" autocomplete="off" class="form-control form-control-sm" value="" placeholder="place Ingresa tu contraseña">
                      <label for="txt_ean">Ingresa tu contraseña</label>
                    </div>
                    <div class="spacing-2"></div>
                    <div class="container center">
                        <button type="button" class="btn btn-primary btn-block" name="button" id="login">Iniciar sesion</button>
                    </div>
                    <!-- Animacion de load (solo sera visible cuando el cliente espere una respuesta del servidor )-->
                    <div class="row" id="load" hidden="hidden">
                      <div class="col-xs-4 col-xs-offset-4 col-md-2 col-md-offset-5">
                        <img src="img/load.gif" width="100%" alt="">
                      </div>
                      <div class="col-xs-12 center text-accent">
                        <span>Validando información...</span>
                      </div>
                    </div>
                    <!-- Fin load -->
                </div>
              </div>
              <div class="modal-footer card-footer">
                <div class="container">
                  <div class="spacing-2"></div>
                  <div class="fw-lighter center">
                      Olvidaste tu clave? <a href="recuperar.php"> Recuperala Aquí!</a></br>
                      No tienes una cuenta? <a href="registro.php"> Registrate!</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- / Final Formulario login -->
    <?php include 'index_footer.html'; ?>  

    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/sweetalert.min.js"></script>
    <script src="js/operaciones.js"></script>
    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', 'UA-103804510-1', 'auto');
        ga('send', 'pageview');
    </script>
  </body>
</html>
