$('#login').click(function(){
  var user  = $('#user').val();
  var clave = $('#clave').val();
  $.ajax({
    method: 'POST',
    url: 'controller/loginController.php',
    data: {user_php: user, clave_php: clave},
    beforeSend: function(){
      $('#load').show();
    },
    success: function(res){
      $('#load').hide();
      if(res == 'error_1'){
        swal('Error', 'Por favor ingrese todos los campos', 'error');
      }else if(res == 'error_2'){
        swal('Error', 'Por favor ingrese un email valido', 'warning');
        alert("entro aca!!!!")
      }else if(res == 'error_3'){
        swal('Error', 'El usuario y contraseña que ingresaste es incorrecto', 'error');
      }else{
        window.location.href= res
      }
    }
  });
});


$('#cancelar').click(function(){
        window.location.href = "index.php" ;
});

$('#registro').click(function(){
  if (!$.Rut.validar(document.getElementById("rut").value))
  {
     swal('Error', 'El rut que ingresaste no es valido', 'error');
     return false;
  }
  var rutOriginal = document.getElementById("rut").value; 
  document.getElementById("rut").value = $.Rut.quitarFormato(document.getElementById("rut").value);
  var form = $('#formulario_registro').serialize();
  $.ajax({
    method: 'POST',
    url: 'controller/registroController.php',
    data: form,
    beforeSend: function()
    {
      $('#load').show();
    },
    success: function(res){
      $('#load').hide();
      if(res == 'error_1'){
        swal('Error', 'Campos obligatorios, por favor llena el email y las claves', 'warning');
      }else if(res == 'error_2'){
        swal('Error', 'Las claves deben ser iguales, por favor intentalo de nuevo', 'error');
      }else if(res == 'error_3'){
        swal('Error', 'El correo que ingresaste ya se encuentra registrado', 'error');
      }else if(res == 'error_4'){
        swal('Error', 'El rut que ingresaste ya se encuentra registrado', 'error');
      }else if(res == 'error_5'){
        swal('Error', 'El rut que ingresaste ya se encuentra registrado', 'error'); 
      }else{
        window.location.href = res ;
      }
      document.getElementById("rut").value = rutOriginal;
    }
  });
});

$('#solicitar').click(function(){
  if (!$.Rut.validar(document.getElementById("rut").value))
  {
     swal('Error', 'El rut que ingresaste no es valido', 'error');
     return false;
  }
  var rutOriginal = document.getElementById("rut").value; 
  document.getElementById("rut").value = $.Rut.quitarFormato(document.getElementById("rut").value);
  var form = $('#formulario_recuperacion').serialize();
  $.ajax({
    method: 'POST',
    url: 'controller/solicitarController.php',
    data: form,
    beforeSend: function()
    {
      $('#load').show();
    },
    success: function(res){
      $('#load').hide();
      if(res == 'error_1'){
        swal('Error', 'Campos obligatorios, por favor llena el rut y email', 'warning');
      }else if(res == 'error_2'){
        swal('Error', 'Los datos ingresados no corresponden', 'error');
      }else{
        document.getElementById("boxSolicitud").innerHTML = res;
      }
      document.getElementById("rut").value = rutOriginal;
    }
  });
});
