<?php

  require_once('conexion.php');

  class Upload extends Conexion
  {

    public function infoOtec($idotec)
    {
      parent::conectar();
      $idotec  = parent::salvar($idotec);
      $consulta = 'select * from otec where id="'.$idotec.'"';
      $verificar_otec = parent::verificarRegistros($consulta);
      if($verificar_otec > 0){
        $otec = parent::consultaArreglo($consulta);
        $_SESSION['otec_id']          = $otec['id'];
        $_SESSION['otec_descripcion'] = $otec['descripcion'];
        $_SESSION['otec_tipo']        = $otec['tipo'];
        echo $otec['descripcion'];
      }else{
        echo 'error_2';
      }
      parent::cerrar();
    }
    
    public function infoCursos($idotec)
    {
      parent::conectar();
      $idotec  = parent::salvar($idotec);
      $consulta = 'select idcurso,descripcion from curso where idotec='.$idotec;
      $verificar_curso = parent::verificarRegistros($consulta);
      if($verificar_curso > 0)
      {
          $consulta = 'select idcurso,descripcion from curso where idotec=:idotec';
          echo parent::SelectSQL($consulta, array(":idotec" => $idotec));
      }
      else
      {
         echo '{"error":"error_2"}'; 
      }
      parent::cerrar();
    }

    public function infoCertificados($idotec,$idcurso)
    {
      parent::conectar();
      $idotec  = parent::salvar($idotec);
      $idcurso = parent::salvar($idcurso);
      $consulta = "select rut,archivo,cargado from certificados where otecid=$idotec and cursed=$idcurso";
      $verificar_certificados = parent::verificarRegistros($consulta);
      $consulta = "select rut,archivo,cargado, 0 as 'check' from certificados where otecid=:idotec and cursed=:idcurso;";
      echo '{"draw": 1,"recordsTotal": '.$verificar_certificados.',"recordsFiltered": '.$verificar_certificados.',"data": ';
      echo parent::SelectSQL($consulta, array(":idotec" => $idotec, ":idcurso" => $idcurso));
      echo '}';
      parent::cerrar();
    }

    public function infoListado($idotec,$idrut)
    {
      parent::conectar();
      $idotec  = parent::salvar($idotec);
      $idrut = parent::salvar($idrut);
      $consulta = "SELECT a.idunico as codigo, concat(b.descripcion,' - ',c.descripcion) as certificado, c.precio, c.accion as opcion FROM `certificados` as a inner join otec as b on a.otecid=b.id inner join curso as c on a.cursed = c.idcurso and a.otecid = b.id where a.rut='$idrut';";
      $verificar_certificados = parent::verificarRegistros($consulta);
      $consulta = "SELECT a.idunico as codigo, concat(b.descripcion,' - ',c.descripcion) as certificado, c.precio, c.accion as opcion FROM `certificados` as a inner join otec as b on a.otecid=b.id inner join curso as c on a.cursed = c.idcurso and a.otecid = b.id where a.rut=:idrut;";
      echo '{"draw": 1,"recordsTotal": '.$verificar_certificados.',"recordsFiltered": '.$verificar_certificados.',"data": ';
      echo parent::SelectSQL($consulta, array(":idrut" => $idrut));
      echo '}';
      parent::cerrar();
    }

    public function saveArchivo($otecid,$cursoid,$uploadedFileStr)
    {
      parent::conectar();
      $tipo = substr($uploadedFileStr,0,4);
      $rut = substr($uploadedFileStr,4,-4);
      parent::query("INSERT INTO `certificados` (`otecid`, `cursed`, `tipo`, `rut`, `archivo`, `cargado`) VALUES ('$otecid', '$cursoid', '$tipo','$rut', '$uploadedFileStr', current_timestamp());");
      parent::cerrar();
      return true;
    }
    
    public function deleteArchivo($otecid,$cursoid,$rut)
    {
      parent::conectar();
      parent::query("DELETE FROM `certificados`  WHERE `otecid`='$otecid' AND `cursed`='$cursoid' AND `rut`='$rut';");
      parent::cerrar();
      return true;
    }
    
  }


?>
