<?php

  require_once('conexion.php');
  
  class Usuario extends Conexion
  {

    public function login($user, $clave)
    {
      parent::conectar();
      $user  = parent::salvar($user);
      $clave = parent::salvar($clave);
      $consulta = "select id, nombre, cargo, clave, rut, otecid from usuarios where email='$user'";
      $verificar_usuario = parent::verificarRegistros($consulta);
      if($verificar_usuario > 0){
        $user = parent::consultaArreglo($consulta);
        if ($user["clave"]==md5($clave))
        {
            session_start();
            $_SESSION['id']     = $user['id'];
            $_SESSION['nombre'] = $user['nombre'];
            $_SESSION['cargo']  = $user['cargo'];
            $_SESSION['rut']    = strval($user['rut']);
            $_SESSION['otecid'] = $user['otecid'];
            if($_SESSION['cargo'] == 1){
              echo 'view/admin/index.php';
            }else if($_SESSION['cargo'] == 2){
              echo 'view/user/index.php';
            }else if($_SESSION['cargo'] == 3){
              echo 'view/edit/index.php';
            }
        }
        else
        {
            echo 'error_3';
        }
      }
      else
      {
        echo 'error_3';
      }
      parent::cerrar();
    }

    public function registroUsuario($name, $email, $clave, $rut)
    {
      parent::conectar();

      $name  = parent::filtrar($name);
      $email = parent::filtrar($email);
      $clave = parent::filtrar2($clave);
      $rut   = parent::filtrar($rut);
      $verificarCorreo = parent::verificarRegistros('select id from usuarios where email="'.$email.'" ');
      if($verificarCorreo > 0)
      {
        echo 'error_3';
      }
      else
      {
          $verificarRut = parent::verificarRegistros('select id from usuarios where rut="'.$rut.'" ');
          if($verificarRut > 0)
          {
            echo 'error_5';
          }
          else
          {
            parent::query('insert into usuarios(nombre, email, clave, cargo, rut) values("'.$name.'", "'.$email.'", "'.md5($clave).'", 2, "'.$rut.'")');
            session_start();
            $_SESSION['nombre'] = $name;
            $_SESSION['cargo']  = 2;
            $_SESSION['rut']  = $rut;
            echo 'view/user/index.php';
          }
      }
      parent::cerrar();
    }

    public function solicitarUsuario($email, $rut)
    {
      parent::conectar();
      $email = parent::filtrar($email);
      $rut   = parent::filtrar($rut);
      $verificarCorreo = parent::verificarRegistros('select id from usuarios where rut="'.$rut.'" and email="'.$email.'" ');
      if($verificarCorreo <= 0)
      {
        echo 'error_2';
      }
      else
      {
         parent::query('update usuarios set claverecuperacion=round(RAND()*10,0)*100000+
       round(RAND()*10,0)*10000+
       round(RAND()*10,0)*1000+
       round(RAND()*10,0)*100+
       round(RAND()*10,0)*10+
       round(RAND()*10,0), horasolicitud = NOW() where email="'.$email.'" and rut="'.$rut.'";');
       $consulta = 'select id, nombre, cargo, clave, rut, otecid, claverecuperacion from usuarios where email="'.$email.'" and rut="'.$rut.'";';
       $user = parent::consultaArreglo($consulta);
       // Varios destinatarios
       $para  = $email .",". "miguel.torrecilla.h@gmail.com"; // atención a la coma
       // título
       $título = 'Recuperacion Clave de acceso';
       // mensaje
       $mensaje = '
        <html>
        <head>
          <title>Recuperacion Clave de Acceso</title>
        </head>
        <body>
          <p>¡Este es tu código de Seguridad!<br/>Ingrésalo para cambiar tu clave.</p>
          <p><br/><b><h1>NRO. '.$user['claverecuperacion'].
        '</h1></b><br/></p><p>Este código no lo debes compartir con nadie.</p>
        </body>
        </html>';
        // Para enviar un correo HTML, debe establecerse la cabecera Content-type
        $cabeceras = 'MIME-Version: 1.0' . "\r\n".
                     'Content-type: text/html; charset=iso-8859-1'. "\r\n" .
                     'From: envios@miscertificados.cl' . "\r\n" .
                     'Reply-To: envios@miscertificados.cl' . "\r\n" .
                     'X-Mailer: PHP/' . phpversion();
        
        $respuesta = mail($para, $título, $mensaje, $cabeceras);
        if ($respuesta)
        {
         echo '<div id="boxClave">
                        <div class="input-group input-group-sm mb-3">
                          <span class="input-group-text col-4">Código seguridad</span>
                          <input name="codigo" id="codigo" type="text" autocomplete="off" 
                                 class="form-control form-control-sm" value="" placeholder="Código seguridad"/>
                          <span class="input-group-text col-1">
                              <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi-person-circle" style="margin-left:-5px;" viewBox="0 0 16 16">
  <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0"/>
  <path fill-rule="evenodd" d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8m8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1"/>
</svg>
                          </span>         
                        </div>
                        <div class="input-group input-group-sm mb-3">
                          <span class="input-group-text col-4">Clave</span>
                          <input name="clave" id="clave" type="password" autocomplete="off" 
                                 class="form-control form-control-sm" value="" placeholder="Ingresa tu contrase&ntilde;a"/>
                          <span class="input-group-text col-1"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" style="margin-left:-5px;" class="bi bi-key" viewBox="0 0 16 16">
  <path d="M0 8a4 4 0 0 1 7.465-2H14a.5.5 0 0 1 .354.146l1.5 1.5a.5.5 0 0 1 0 .708l-1.5 1.5a.5.5 0 0 1-.708 0L13 9.207l-.646.647a.5.5 0 0 1-.708 0L11 9.207l-.646.647a.5.5 0 0 1-.708 0L9 9.207l-.646.647A.5.5 0 0 1 8 10h-.535A4 4 0 0 1 0 8m4-3a3 3 0 1 0 2.712 4.285A.5.5 0 0 1 7.163 9h.63l.853-.854a.5.5 0 0 1 .708 0l.646.647.646-.647a.5.5 0 0 1 .708 0l.646.647.646-.647a.5.5 0 0 1 .708 0l.646.647.793-.793-1-1h-6.63a.5.5 0 0 1-.451-.285A3 3 0 0 0 4 5"/>
  <path d="M4 8a1 1 0 1 1-2 0 1 1 0 0 1 2 0"/>
</svg></span>         
                        </div>
                        <div class="input-group input-group-sm mb-3">
                          <span class="input-group-text col-4">Reingreso</span>
                          <input name="clave2" id="clave2" type="password" autocomplete="off" 
                                 class="form-control form-control-sm" value="" placeholder="Repite tu contrase&ntilde;a"/>
                          <span class="input-group-text col-1"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" style="margin-left:-5px;" class="bi bi-key-fill" viewBox="0 0 16 16">
  <path d="M3.5 11.5a3.5 3.5 0 1 1 3.163-5H14L15.5 8 14 9.5l-1-1-1 1-1-1-1 1-1-1-1 1H6.663a3.5 3.5 0 0 1-3.163 2M2.5 9a1 1 0 1 0 0-2 1 1 0 0 0 0 2"/>
</svg></span>
                        </div>
                        <button type="button" class="btn btn-primary btn-block" name="button" id="actualizar">Actualizar</button>
                      </div>';
        }
        else
        {
            echo "<div>ERROR AL ENVIAR CORREO</div>";
        }
      }
      parent::cerrar();
    }

  }

?>
