<?php

  session_start();

  // isset verifica si existe una variable o eso creo xd
  if(isset($_SESSION['id'])){
    header('location: controller/redirec.php');
  }

?>


<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui">
    <link rel="icon" href="img/as.png" type="image/icon">
    <title>Recuperacin de Clave de acceso</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="css/sweetalert.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/arsm.css">
  </head>
  <body>
    <?php include 'index_header.html'; ?>  
    <!-- Formulario Recuperacion -->
    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-md-4 col-md-offset-4">
          <form id="formulario_recuperacion">
              <div class="modal-dialog">
                <div class="modal-content text-dark">
                  <div class="modal-header card-header">
                    <h5 class="fs-1 fw-bold">Recuperar Clave</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body" style="display:block;">
                      <div id="boxSolicitud">
                        <!-- <div class="spacing-2"></div> -->
                        <div class="input-group input-group-sm mb-3">
                          <span class="input-group-text col-3">eMail</span>
                          <input name="email" id="email" type="text" autocomplete="off" 
                                 class="form-control form-control-sm" value="" placeholder="Ingresa tu email"/>
                          <span class="input-group-text col-1">
                              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-envelope-at" style="margin-left:-5px;" viewBox="0 0 16 16">
  <path d="M2 2a2 2 0 0 0-2 2v8.01A2 2 0 0 0 2 14h5.5a.5.5 0 0 0 0-1H2a1 1 0 0 1-.966-.741l5.64-3.471L8 9.583l7-4.2V8.5a.5.5 0 0 0 1 0V4a2 2 0 0 0-2-2zm3.708 6.208L1 11.105V5.383zM1 4.217V4a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v.217l-7 4.2z"/>
  <path d="M14.247 14.269c1.01 0 1.587-.857 1.587-2.025v-.21C15.834 10.43 14.64 9 12.52 9h-.035C10.42 9 9 10.36 9 12.432v.214C9 14.82 10.438 16 12.358 16h.044c.594 0 1.018-.074 1.237-.175v-.73c-.245.11-.673.18-1.18.18h-.044c-1.334 0-2.571-.788-2.571-2.655v-.157c0-1.657 1.058-2.724 2.64-2.724h.04c1.535 0 2.484 1.05 2.484 2.326v.118c0 .975-.324 1.39-.639 1.39-.232 0-.41-.148-.41-.42v-2.19h-.906v.569h-.03c-.084-.298-.368-.63-.954-.63-.778 0-1.259.555-1.259 1.4v.528c0 .892.49 1.434 1.26 1.434.471 0 .896-.227 1.014-.643h.043c.118.42.617.648 1.12.648m-2.453-1.588v-.227c0-.546.227-.791.573-.791.297 0 .572.192.572.708v.367c0 .573-.253.744-.564.744-.354 0-.581-.215-.581-.8Z"/>
</svg>
                          </span>
                        </div>
                        <div class="input-group input-group-sm mb-3">
                          <span class="input-group-text col-3">Rut</span>
                          <input name="rut" id="rut" type="text" autocomplete="off" 
                                 class="form-control form-control-sm" value="" placeholder="Ingresa tu rut"/>
                          <span class="input-group-text col-1"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" style="margin-left:-5px;" class="bi bi-person-vcard" viewBox="0 0 16 16">
  <path d="M5 8a2 2 0 1 0 0-4 2 2 0 0 0 0 4m4-2.5a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1h-4a.5.5 0 0 1-.5-.5M9 8a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1h-4A.5.5 0 0 1 9 8m1 2.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 0 1h-3a.5.5 0 0 1-.5-.5"/>
  <path d="M2 2a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V4a2 2 0 0 0-2-2zM1 4a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1H8.96q.04-.245.04-.5C9 10.567 7.21 9 5 9c-2.086 0-3.8 1.398-3.984 3.181A1 1 0 0 1 1 12z"/>
</svg></span>     
                        </div>
                        <button type="button" class="btn btn-primary btn-block" name="button" id="solicitar">Solicitar Clave</button>
                     </div>
                     <!-- Animacion de load (solo sera visible cuando el cliente espere una respuesta del servidor )-->
                     <div class="row" id="load" hidden="hidden">
                        <div class="col-xs-4 col-xs-offset-4 col-md-2 col-md-offset-5">
                            <img src="img/load.gif" width="100%" alt="">
                        </div>
                        <div class="col-xs-12 center text-accent">
                            <span>Validando información...</span>
                        </div>
                     </div>
                     <div id="diverror"></div>
                  </div>
                  <div class="modal-footer card-footer">
                    <div class="row">
                      <div class="col-xs-8 col-xs-offset-2">
                        <div class="spacing-2"></div>
                        <button type="button" class="btn btn-danger btn-block" name="button" id="cancelar">Cancelar</button>
                      </div>
                    </div>
                  </div>
                </div>
            </div>
          </form>    
        </div>
      </div>
    </div>
    <!-- / Final Formulario login -->
    <?php include 'index_footer.html'; ?>  

    <script src="js/jquery.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/sweetalert.min.js"></script>
    <script src="js/operaciones.js"></script>
    <script src="js/jquery.rut.js"></script> 
    <script>
    
        function Mensaje(titulo,mensaje,tipo)
        {
            const objerror = document.getElementById("diverror");
            objerror.innerHTML = '<div>&nbsp;</div><div class="alert alert-'+tipo+' '+
                               'alert-dismissible fade show" role="alert">'+
                               '<strong>'+titulo+'</strong>  '+mensaje+' '+
                               '<button type="button" class="btn-close" data-bs-dismiss="alert" '+
                               'aria-label="Close"></button></div>';
        }

        $("#rut").Rut({
            format_on: 'keyup',    
            on_error: function(){Mensaje('Error!','El rut ingresado no es correcto.','danger');},
            on_success:function(){document.getElementById("diverror").innerHTML = "";}
        });

        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', 'UA-103804510-1', 'auto');
        ga('send', 'pageview');
        
    </script>
  <!--<script type="text/javascript">
      document.oncontextmenu = function(){return false;}
  </script>-->
  </body>
</html>
