<?PHP

class pro_recursivo extends str_reemplazo 
{

    private $ldhtml = "";
    private $DB_CONST = array();
    
    public $PARAMETROS = array();

    function __construct()
    {  
        $ldhtml = "";
    }

    public function readConst($archivo)
    {
        parent::conectar_base();
        $archivo  = parent::salvar($archivo);
        $consulta = "select * from constantes where json=:archivo";
        $constantes = parent::SelectSQLarr($consulta, array(":archivo" => $archivo));
        return $constantes;
    }
    
    public function readFileJson($archivo)
    {
        if ($this->PARAMETROS["debug"]=="S")
        {
            echo "INICIO nombre del Archivo Json OBJETO <<<----------------->>></br>";
            print_r($archivo); echo "</br>";
            echo "FIN nombre del Archivo Json OBJETO <<<----------------->>></br>";
        }
        if (file_exists($archivo) && substr($archivo, -1)!="/") 
        {
            $json = file_get_contents($archivo); 
            if ($json === false) { die('Error al leer el archivo JSON'); }
            // {"FILE_JSON":{"FILE":"/parts/cabecera.pjson","ID":"_objects"}}
            while (str_contains($json, 'FILE_JSON'))
            {
                $bloque = substr($json, strpos($json, 'FILE_JSON')-2);
                $bloque = substr($bloque,0,strpos($bloque, '}}')+2);
                $bloque_json = json_decode($bloque, true);
                $bloque_archivo = substr($archivo,0,strrpos($archivo, "/")).$bloque_json["FILE_JSON"]["FILE"]; 
                $bloque_txt = "";
                if (file_exists($bloque_archivo) && substr($bloque_archivo, -1)!="/") 
                {
                    $bloque_txt = file_get_contents($bloque_archivo); 
                    $json = str_replace($bloque, $bloque_txt, $json);
                }
//                $this->PARAMETROS["debug"]="S";
                if ($this->PARAMETROS["debug"]=="S")
                {
                    echo "INICIO bloque OBJETO <<<----------------->>></br>";
                    print_r($bloque); echo "</br>";
                    print_r($bloque_json); echo "</br>";
                    print_r($bloque_archivo); echo "</br>";
                    print_r($bloque_txt); echo "</br>";
                    print_r($json); echo "</br>";
                    echo "FIN bloque OBJETO <<<----------------->>></br>";
                }
//                $this->PARAMETROS["debug"]="N";
//                exit;
            }
            
            $json_data = json_decode($json, true); 
            if ($json_data === null) {
                die("Error al decodificar la informaci&oacute;n del JSON $archivo");
            }
            if ($this->PARAMETROS["debug"]=="S")
            {
                echo "<pre>";
                print_r($json_data);
                echo "</pre>";
            }
            return $json_data;        
        }
        else
        {
            return array();
        }
    }
    
    public function replaceParam($codigo)
    {
        foreach($this->PARAMETROS as $key=>$value)
        {
            if (substr($key,0,1)=="_")
            {
                $codigo = str_replace($key,$value,$codigo);
            }
        }
        return $codigo;
    }
    
    public function agregaParametros($globales)
    {
        foreach($globales as $key=>$value)
        {
            switch (gettype($value))
            {
                case "array":
                    foreach($value as $key1=>$value1)
                    {
                        $this->PARAMETROS[$key1] = $value1;
                    }
                    break;
            }
        }
        if ($this->PARAMETROS["debug"]=="S")
        {
            echo "Inicio = Variables de parametros</br>";
            print_r($this->PARAMETROS);
            echo "Fin = Variables de parametros</br>";
        }
    }

    public function RecorreForm(&$i,&$HTML,$listaObjetos,$clasificacion)
    {
        foreach($listaObjetos as $key=>$valueArr)
        {
            if ($this->PARAMETROS["debug"]=="S")
            {
                echo ">>>> **** valueArr key $i $key **** <<<< </br>";
                echo ">>>> **** valor $i ";
                print_r($valueArr);
                echo " **** <<<<< </br></br>";
            }
            if (gettype($valueArr)=="array")
            {
                if ($this->PARAMETROS["debug"]=="S")
                {
                    echo " *** ES UN ARREGLO *** "; 
                }
                if (array_key_exists("OBJETO",$valueArr) && !array_key_exists("_objects",$valueArr))
                {
                    if ($this->PARAMETROS["debug"]=="S")
                    {
                        echo " *** SI CONTIENE OBJETO Y NO TIENE _objects *** ";
                    }
                    $HTMLX = $this->generaOBJETO($valueArr,$clasificacion);
                    if ($this->PARAMETROS["debug"]=="S")
                    {
                        echo ">>>> **** key $i $key **** <<<< </br>";
                        echo ">>>> **** valor $i ";
                        print_r($valueArr);
                        echo " **** <<<<< </br> CODIGO: $HTMLX </br>";
                    }
                    $HTML = $HTML . $HTMLX;
                }
                elseif (array_key_exists("OBJETO",$valueArr) && array_key_exists("_objects",$valueArr))
                {
                    if ($this->PARAMETROS["debug"]=="S")
                    {
                        echo " *** SI CONTIENE OBJETO Y TIENE _objects *** ";
                    }
                    $HTMLX = $this->generaOBJETO($valueArr,$clasificacion);
                    $HTMLpaso = "";
                    $recurso = $this->RecorreForm($i, $HTMLpaso,$valueArr["_objects"],$clasificacion);
                    $HTMLX = str_replace("##_objects##",$recurso,$HTMLX);
                    if ($this->PARAMETROS["debug"]=="S")
                    {
                        echo ">>>> **** key $i $key **** <<<< </br>";
                        echo ">>>> **** valor $i ValueArr **** ";
                        print_r($valueArr);
                        echo ">>>> **** valor $i Recurso **** ";
                        print_r($recurso);
                        echo ">>>> **** valor $i HTMLX **** ";
                        print_r($HTMLX);
                        echo " **** <<<<< </br> CODIGO: $HTMLX </br>";
                    }
                    $HTML = $HTML . $HTMLX;
                }
                else
                {
                    if ($this->PARAMETROS["debug"]=="S")
                    {
                        echo " *** NO CONTIENE OBJETO *** ";
                    }
                    $this->RecorreForm($i, $HTML,$valueArr,$clasificacion);
                }
            }
            else
            {
                if ($this->PARAMETROS["debug"]=="S")
                {
                    echo " *** GENERA EL OBJETO *** ";
                }
                $HTMLX = $this->generaOBJETO($valueArr,$clasificacion);
                if ($this->PARAMETROS["debug"]=="S")
                {
                    echo ">>>> **** key $i $key **** <<<< </br>";
                    echo ">>>> **** valor $i ";
                    print_r($valueArr);
                    echo " **** <<<<< </br> CODIGO: $HTMLX </br>";
                }
                $HTML = $HTML . $HTMLX;
            }
        }
        return $HTML;
    }

    public function generaOBJETO($valueArr,$clasificacion)
    {
        $rDHTML = "";
        if (gettype($valueArr)=="array")
        {
            if (array_key_exists("OBJETO",$valueArr))
            {
                if (array_key_exists($valueArr["OBJETO"], $clasificacion)) 
                {
                    $json_esquema = $this->readFileJson($this->PARAMETROS["path"].$this->PARAMETROS["ruta"]."OBJETO/".$clasificacion[$valueArr["OBJETO"]]["REFERENCIA"]);
                    if (array_key_exists("CODIGO", $json_esquema)) 
                    {
                        $lDHTML = $json_esquema["CODIGO"];
                        if (array_key_exists("PROPIEDADES", $json_esquema)) 
                        {
                            $menos = false;
                            foreach($json_esquema["PROPIEDADES"] as $valueEsquema)
                            {
                                switch ($valueEsquema["DEFINICION"]["ACCION"])
                                {
                                    case "reemplazo":
                                          if ($valueEsquema["DEFINICION"]["TIPO"]=="clase")
                                          {
                                              $param = "";
                                              $arrDatos = $valueArr;
                                              switch ($valueEsquema["DEFINICION"]["PARAM"])
                                              {
                                                  case "TIPO":
                                                      $param = $valueArr[$valueEsquema["DEFINICION"]["PARAM"]];
                                                      break;
                                                  case "KEY":
                                                      $param = $valueEsquema["DEFINICION"]["IDKEY"];
                                                      $arrDatos = $valueArr[$param];
                                                      $menos = true;
                                                      break;
                                              }
                                              $class_name = $json_esquema["CLASE"]["NOMBRE"];
                                              $objeto = new $class_name($param);
                                              $objeto->PARAMETROS = $this->PARAMETROS;
                                              $objeto->json_objeto = $clasificacion;
                                              if (property_exists($objeto, 'json_esquema')){ $objeto->json_esquema = $json_esquema; }
                                              if (property_exists($objeto, 'valueArr')){ $objeto->valueArr = $valueArr; }
                                              $lDHTML = $objeto->reemplazaParametros($lDHTML,$valueEsquema,$arrDatos);
                                              $objeto = null;
                                          }
                                          else
                                          {
                                              $objeto = new str_reemplazo();
                                              if ($this->PARAMETROS["debug"]=="S")
                                              {
                                                  echo "INICIO string PARAMETRO Llamada <<<----------------->>></br>";
                                                  echo "CODIGO: ";print_r($lDHTML); echo "</br>";
                                                  echo "ORIGEN: ";print_r($valueEsquema); echo "</br>";
                                                  echo "DESTINO: ";print_r($valueArr); echo "</br>";
                                                  echo "FIN String PARAMETRO  Llamada  <<<----------------->>></br>";
                                              }
                                              $lDHTML = $objeto->reemplazaParametro($lDHTML,$valueEsquema,($menos?(array_key_exists("PARAMETROS",$valueArr)?$valueArr["PARAMETROS"]:$valueArr):$valueArr));
                                              if ($this->PARAMETROS["debug"]=="S")
                                              {
                                                  echo "INICIO string PARAMETRO Retorno <<<----------------->>></br>";
                                                  print_r($lDHTML); echo "</br>";
                                                  echo "FIN String PARAMETRO Retorno <<<----------------->>></br>";
                                              }
                                              $objeto = null;
                                          }
                                        break;
                                }
                            }
                            $lDHTML = $this->replaceParam($lDHTML);                        // Reemplaza parametros Generales
                            if ($this->PARAMETROS["debug"]=="S")
                            {
                                echo "INICIO String OBJETO <<<----------------->>></br>";
                                print_r($lDHTML); echo "</br>";
                                echo "FIN String OBJETO <<<----------------->>></br>";
                            }
                        }
                        $rDHTML = $rDHTML . $lDHTML;
                    }            
                }
            }
        }
        return $rDHTML;
    }

}

?>