<?php
  // Se prendio esta mrd :v
  session_start();

  // Validamos que exista una session y ademas que el cargo que exista sea igual a 1 (Administrador)
  if(!isset($_SESSION['cargo']) || $_SESSION['cargo'] != 1){
    /*
      Para redireccionar en php se utiliza header,
      pero al ser datos enviados por cabereza debe ejecutarse
      antes de mostrar cualquier informacion en el DOM es por eso que inserto este
      codigo antes de la estructura del html, espero haber sido claro
    */
    header('location: ../../index.php');
  }

?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <title>Login para Certificados</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT" crossorigin="anonymous"></script>
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/responsive/2.2.7/css/responsive.dataTables.min.css">
	
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>		
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/fixedheader/3.1.8/js/dataTables.fixedHeader.min.js"></script> 
    <script src="https://cdn.datatables.net/responsive/2.2.7/js/dataTables.responsive.min.js"></script>
    
    <script src="../../js/jquery.rut.js"></script> 

    <link rel="stylesheet" href="../../css/sweetalert.css">
    <link rel="stylesheet" href="../../css/style.css">
    <link rel="stylesheet" href="../../css/arsm.css">
    
    <script src="../../js/sweetalert.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

  </head>
  <body>
    <?php include '../../index_header.html'; ?>  
    <script>
      document.getElementById("primerdato").innerHTML = "Hola administrador <?php echo ucfirst($_SESSION['nombre']); ?>";  
      document.getElementById("segundodato").innerHTML = '<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#certModal">Certificados Cargados</button>&nbsp;<a href="../../controller/cerrarSesion.php"><button type="button" name="button" class="btn btn-danger">Cerrar sesion</button></a>';
    </script>
    <div class="modal fade " id="certModal" tabindex="-1" aria-labelledby="certModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content  text-dark">
          <div class="modal-header card-header">
            <h5 class="modal-title" id="certModalLabel">Modal title</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body" id="certGrid">
            <table id="grdCertificados" class="display" style="width:100%">
                <thead>
                    <tr>
                        <th>Rut</th>
                        <th>Archivo</th>
                        <th>Fecha</th>
                        <th>Op</th>
                    </tr>
                </thead>
            </table>
          </div>
          <div class="modal-footer card-footer">
            <button type="button" class="btn btn-danger" onclick="javascript:borrar()">Borrar Seleccionados</button>
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Formulario Login -->
    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-md-12 col-md-offset-12">
          <form id="fupForm" enctype="multipart/form-data">
          <input type="hidden" value="<?php echo $_SESSION["otecid"]; ?>" name="otecid" id="otecid"/>
          <input type="hidden" value="" name="cursoid" id="cursoid"/>
          <input type="hidden" value="UF" name="accion" id="accion"/>
          <div class="modal-dialog">
            <div class="modal-content text-dark">
              <div class="modal-header card-header">
                <h5 class="fs-3 fw-bold">Carga de Documentos<br/>
                <spam id="nombreotec" class="fs-5 fw-normal fw-lighter"></spam>
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                 <div class="form-floating">
                    <select class="form-select" name="upload_curso" id="upload_curso" aria-label="Floating label select example">
                    </select>
                    <label for="upload_curso">Seleccione curso a subir certificados</label>
                 </div>
                    <div class="spacing-2"></div>
                <div class="form-group">
                    <input type="file" class="form-control" id="file" name="files[]" accept="CERT*.PDF, DIPL*.PDF" multiple />
                </div>
                <!-- Animacion de load (solo sera visible cuando el cliente espere una respuesta del servidor )-->
                <div class="spacing-2"></div>
                <div class="statusMsg"></div>
                <div class="spacing-2"></div>
                <div class="row" id="load" hidden="hidden">
                  <div class="col-xs-4 col-xs-offset-4 col-md-2 col-md-offset-5">
                    <img src="img/load.gif" width="100%" alt="">
                  </div>
                  <div class="col-xs-12 center text-accent">
                    <span>Validando información...</span>
                  </div>
                </div>
              </div>
              <div class="modal-footer card-footer">
                <div class="row">
                  <div class="col-xs-8 col-xs-offset-2">
                    <div class="spacing-2"></div>
                    <input type="submit" name="submit" class="btn btn-success submitBtn" value="Cargar"/>
                  </div>
                </div>
              </div>
            </div>
          </div>
          </form>
        </div>
      </div>
    </div>
    
    <!-- / Final Formulario login -->
    <?php include '../../index_footer.html'; ?>  

    <!--<script src="../../js/jquery.js"></script> -->
    <!--<script src="../../js/bootstrap.min.js"></script> -->
    
    <script src="../../js/operaciones.js"></script>
    <script>

    	function gridE(namegrid,arrColumns,arrAjax)
    	{
    		var table;
    		sigue=true;
    		if ( $.fn.dataTable.isDataTable('#'+namegrid) ) 
    		{
                table = $('#'+namegrid).DataTable();
                table.destroy();
                sigue=false;
            }
            table = $('#'+namegrid).DataTable({
            	    "ajax": arrAjax,
                    "processing": false,
                    "serverSide": false,
                    "searching": true,
                    "ordering": true,
                    "paging": false,
                    "info": false,
                    "scrollX": true,
                    "scrollY": 200,
                    "columns":arrColumns
            });
            if (sigue)
            {
                if (bollSelect)
                {
                    table.on('click', 'tbody tr', function (e) {
                        e.currentTarget.classList.toggle('selected');
                    });
                }
            }
            new $.fn.dataTable.Responsive( table );
        }

        function ajaxSelect(objetoSelect,parametros,codigo,descripcion,url) 
        {
            $.ajax({
                url: "../../controller/"+url+".php",
                type: "POST",
                data: parametros,
                dataType: "json",
                success: function(data)
                {
                    for (let i = objetoSelect.options.length; i >= 0; i--) {objetoSelect.remove(i);}
                    for (let i in data) 
                    {
                        myOption = document.createElement("option");
                        myOption.text = data[i][""+descripcion+""];
                        myOption.value = data[i][""+codigo+""];
                        objetoSelect.appendChild(myOption);
                    }
                },
                error: function(xhr, status, error) 
                {
                    swal('Error', 'Proceso fallido:'+error+' '+status, 'error');
                }
            });
        }

        $.ajax({
            method: 'POST',
            url: '../../controller/upload.php',
            data: {accion:"NO", otecid:<?php echo $_SESSION["otecid"]; ?>},
            beforeSend: function(){ /*$('#load').show();*/ },
            success: function(res){
              //$('#load').hide();
              if(res == 'error_1'){
                swal('Error', 'Faltan parametros obligatorios', 'warning');
              }else if(res == 'error_2'){
                swal('Error', 'La otec no esta registrada', 'error');
              }else{
                document.getElementById("nombreotec").innerHTML = res;
                ajaxSelect(document.getElementById("upload_curso"),
                           {accion:"RC",otecid:<?php echo $_SESSION["otecid"]; ?>},
                           "idcurso",
                           "descripcion",
                           "upload");
              }
            }
        });

        $(document).ready(function(){
            // Submit form data via Ajax
            $("#fupForm").on('submit', function(e){
                e.preventDefault();
                $.ajax({
                    type: 'POST',
                    url: '../../controller/upload.php',
                    data: new FormData(this),
                    dataType: 'json',
                    contentType: false,
                    cache: false,
                    processData:false,
                    beforeSend: function(){
                        $('.submitBtn').attr("disabled","disabled");
                        $('#fupForm').css("opacity",".5");
                    },
                    success: function(response){
                        $('.statusMsg').html('');
                        if(response.status == 1){
                            $('#fupForm')[0].reset();
                            $('.statusMsg').html('<p id="divMsg" class="alert alert-success alert-dismissible fade show">'+response.message+'</p>');
                            window.setTimeout(function () { $("#divMsg").alert('close'); }, 6000); 
                        }else{
                            $('.statusMsg').html('<p id="divMsg" class="alert alert-danger alert-dismissible fade show">'+response.message+'</p>');
                            window.setTimeout(function () { $("#divMsg").alert('close'); }, 6000); 
                        }
                        $('#fupForm').css("opacity","");
                        $(".submitBtn").removeAttr("disabled");
                    }
                });
            });
        	
            // File type validation
            var match = ['application/pdf']; //, 'application/msword', 'application/vnd.ms-office', 'image/jpeg', 'image/png', 'image/jpg'];
            $("#file").change(function() {
                for(i=0;i<this.files.length;i++)
                {
                    var file = this.files[i];
                    var fileType = file.type;
                    var fileName = file.name;
                    var tipoArchivo = (fileType == match[0]);
                    var noMenclatura = (fileName.substring(0,4) == "CERT" || fileName.substring(0,4) == "DIPL");
                    var rutValido = (fileName.substring(4, 13) == "" ? false : $.Rut.validar(String(fileName.substring(4, 13))) ); //$.Rut.validar(fileName.substring(4, 13)));
                    if(!(   tipoArchivo  
                        &&  noMenclatura 
                        &&  rutValido 
                        )) 
                    { // || (fileType == match[1]) || (fileType == match[2]) || (fileType == match[3]) || (fileType == match[4]) || (fileType == match[5]))){
                        $('.statusMsg').html('<p id="divMsg" class="alert alert-danger alert-dismissible fade show">'+
                                "Solo archivos de tipo PDF pueden ser cargados y cumplir esta nomenclatura "+
                                "(CERT,DIPL seguidos del rut 99999999X, ademas de que el numero de rut debe ser valido)."+
                                "<br/>Ejemplo: CERT114846007.pdf o DIPL114840772.pdf</p>");
                        $("#file").val('');
                        window.setTimeout(function () { $("#divMsg").alert('close'); }, 12000); 
                        return false;
                    }
                }
                return true;
            });
        });

        var modalprocess = document.getElementById('certModal');
        modalprocess.addEventListener('show.bs.modal', function (event) 
        {
            var varOtec = <?php echo $_SESSION["otecid"]; ?>;
            var varCurso = document.getElementById("upload_curso").options[document.getElementById("upload_curso").selectedIndex].value;
            gridE("grdCertificados",[{ data: 'rut' },
                                     { data: 'archivo' },
                                     { data: 'cargado' },
                                     { data: 'check', 
                                           render: function (data, type, row, meta) { 
                                               var domCelda = '';
                                               domCelda = '<input class="form-check-input" type="checkbox" '+
                                                          'name="checkboxBorrar" id="'+row.rut+'" '+
                                                          'archivo="'+row.archivo+'" '+(data=="1"?'checked':'')+'>'; 
                                               return domCelda;
                                           }}],
                                    { type: 'POST',
                                      url: '../../controller/upload.php',
                                      data: {accion:"LC", otecid:varOtec, cursoid:varCurso},
                                      dataType: 'json'});
        });

        function borrar()
        {
            const swalWithBootstrapButtons = Swal.mixin({
              customClass: {
                confirmButton: "btn btn-success",
                cancelButton: "btn btn-danger separador"
              },
              buttonsStyling: false
            });
            swalWithBootstrapButtons.fire({
              title: "Confirmacin?",
              text: "Esta seguro de eliminar los certificados!",
              icon: "Advertencia",
              showCancelButton: true,
              confirmButtonText: "Si",
              cancelButtonText: "No",
              reverseButtons: true
            }).then((result) => {
              if (result.isConfirmed) {
                  var aBorrar = "{";
                  var aArchiv = "{";
                  var i = 0;
                  $("input[name='checkboxBorrar']").each(function() {
                    if (this.checked)
                    {
                        aBorrar = aBorrar + '"' + i + '":"'+this.id+'",';
                        aArchiv = aArchiv + '"' + i + '":"'+document.getElementById(this.id).getAttribute("archivo")+'",';
                        i = i + 1;
                    }});
                  aBorrar = aBorrar + '"-1":"0"}';
                  aArchiv = aArchiv + '"-1":"0"}';
                  if (aBorrar !== '{"-1":"0"}')
                  {
                    $.ajax({
                        type: 'POST',
                        url: '../../controller/upload.php',
                        data: { accion:"BC", 
                                otecid: <?php echo $_SESSION["otecid"]; ?>, 
                                cursoid: document.getElementById("upload_curso").options[document.getElementById("upload_curso").selectedIndex].value, 
                                ruts: aBorrar,
                                arch: aArchiv},
                        dataType: 'json',
                        beforeSend: function(){},
                        success: function(response)
                        {
                            swalWithBootstrapButtons.fire({
                              title: "Borrados!",
                              text: "Los registros fueron eliminados!",
                              icon: "success"
                            });
                            var varOtec = <?php echo $_SESSION["otecid"]; ?>;
                            var varCurso = document.getElementById("upload_curso").options[document.getElementById("upload_curso").selectedIndex].value;
                            gridE("grdCertificados",[{ data: 'rut' },
                                                     { data: 'archivo' },
                                                     { data: 'cargado' },
                                                     { data: 'check', 
                                                           render: function (data, type, row, meta) { 
                                                               var domCelda = '';
                                                               domCelda = '<input class="form-check-input" type="checkbox" '+
                                                                          'name="checkboxBorrar" id="'+row.rut+'" '+
                                                                          'archivo="'+row.archivo+'" '+(data=="1"?'checked':'')+'>'; 
                                                               return domCelda;
                                                           }}],
                                                    { type: 'POST',
                                                      url: '../../controller/upload.php',
                                                      data: {accion:"LC", otecid:varOtec, cursoid:varCurso},
                                                      dataType: 'json'});
                        }
                    });
                      
                      
                  }
                  else
                  {
                    swalWithBootstrapButtons.fire({
                      title: "Cancelado!",
                      text: "No hay certificados seleccionados para eliminar",
                      icon: "error"
                    });
                  }
              } else if (
                /* Read more about handling dismissals below */
                result.dismiss === Swal.DismissReason.cancel
              ) {
                swalWithBootstrapButtons.fire({
                  title: "Cancelado!",
                  text: "El proceso de borrado se cancelo",
                  icon: "error"
                });
              }
            });
        }
        
    </script>
    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', 'UA-103804510-1', 'auto');
        ga('send', 'pageview');
    </script>
  </body>
</html>
