<?php
  session_start();

  // Validamos que exista una session y ademas que el cargo que exista sea igual a 1 (Administrador)
  if(!isset($_SESSION['cargo']) || $_SESSION['cargo'] != 2){
    header('location: ../../index.php');
  }

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <title>Login para Certificados</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT" crossorigin="anonymous"></script>
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/responsive/2.2.7/css/responsive.dataTables.min.css">
	
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>		
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/fixedheader/3.1.8/js/dataTables.fixedHeader.min.js"></script> 
    <script src="https://cdn.datatables.net/responsive/2.2.7/js/dataTables.responsive.min.js"></script>
    
    <script src="../../js/jquery.rut.js"></script> 

    <link rel="stylesheet" href="../../css/sweetalert.css">
    <link rel="stylesheet" href="../../css/style.css">
    <link rel="stylesheet" href="../../css/arsm.css">
    
    <script src="../../js/sweetalert.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

  </head>
  <body>
    <?php include '../../index_header.html'; ?>  
    <script>
      document.getElementById("primerdato").innerHTML = "Hola <?php echo ucfirst($_SESSION['nombre']); ?>";  
      document.getElementById("segundodato").innerHTML = '<a href="../../controller/cerrarSesion.php"><button type="button" name="button" class="btn btn-danger">Cerrar sesion</button></a>';
    </script>

    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-md-12 col-md-offset-12">
          <form id="fupForm" enctype="multipart/form-data">
          <input type="hidden" value="<?php echo $_SESSION["otecid"]; ?>" name="otecid" id="otecid"/>
          <input type="hidden" value="" name="cursoid" id="cursoid"/>
          <input type="hidden" value="UF" name="accion" id="accion"/>
          <div class="modal-dialog modal-xl">
            <div class="modal-content text-dark">
              <div class="modal-header card-header">
                <div class="h4">EMISOR DE CERTIFICADOS</div>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <form id="fcert" method="post" action="certificado.php">
                    <input type="hidden" value="" name="par1" id="par1"/>
                    <input type="hidden" value="" name="run" id="run"/>
                    <div class="row col-12">
                        <div class="col-11 offset-1">
                            <div class="input-group input-group-lg">
                                <span class="input-group-text" id="input-group-lg-example">Run Alumno</span>
                                <input type="text" class="form-control" aria-label="Large input group" aria-describedby="input-group-lg" id="rut" name="rut" value="">
                                <script>
                                    var rutFormateado = $.Rut.formatear('<?  echo $_SESSION["rut"]; ?>',true);
                                    document.getElementById("rut").value = rutFormateado;
                                    document.getElementById("rut").disabled = true;
                                </script>
                            </div>
                            <div class="spacing-2"></div>
                              <div class="modal-body" id="certGrid">
                                <table id="grdCertificados" class="display" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Codigo</th>
                                            <th>Certificado</th>
                                            <th>Precio</th>
                                            <th>Op</th>
                                        </tr>
                                    </thead>
                                </table>
                              </div>
                            <div id="diverror"></div>
                        </div>
                    </div>
                    <div id="divinformacion"></div>
                </form>
              </div>
              <div class="modal-footer card-footer">
                <div class="row">
                  <div class="col-xs-8 col-xs-offset-2">
                    <div class="spacing-2"></div>
                    <input type="submit" name="submit" class="btn btn-success submitBtn" value="Cargar"/>
                  </div>
                </div>
              </div>
            </div>
          </div>
          </form>
        </div>
      </div>
    </div>

    <!-- / Final Formulario login -->
    <?php include '../../index_footer.html'; ?>  
    <script src="../../js/operaciones.js"></script>   
    <script>

    	function gridE(namegrid,arrColumns,arrAjax)
    	{
    		var table;
    		sigue=true;
    		if ( $.fn.dataTable.isDataTable('#'+namegrid) ) 
    		{
                table = $('#'+namegrid).DataTable();
                table.destroy();
                sigue=false;
            }
            table = $('#'+namegrid).DataTable({
            	    "ajax": arrAjax,
                    "processing": false,
                    "serverSide": false,
                    "searching": true,
                    "ordering": true,
                    "paging": false,
                    "info": false,
                    "scrollX": true,
                    "scrollY": 200,
                    "columns":arrColumns
            });
            if (sigue)
            {
                if (bollSelect)
                {
                    table.on('click', 'tbody tr', function (e) {
                        e.currentTarget.classList.toggle('selected');
                    });
                }
            }
            new $.fn.dataTable.Responsive( table );
        }

        var varOtec = -1;
        var varRut  = <?php echo $_SESSION["rut"]; ?>;
        gridE("grdCertificados",[{ data: 'codigo' },
                                 { data: 'certificado' },
                                 { data: 'precio' ,
                                   render: function (data, type, row, meta) { 
                                           var domCelda = '';
                                           domCelda = (data==0?"gratis":data); 
                                           return domCelda;
                                       }     
                                 },
                                 { data: 'opcion', 
                                       render: function (data, type, row, meta) { 
                                           var domCelda = '';
                                           domCelda = '<a href="../../controller/download.php?id='+row.codigo+'">Descargar PDF</a>'; 
                                           return domCelda;
                                       }}],
                                { type: 'POST',
                                  url: '../../controller/upload.php',
                                  data: {accion:"TC", otecid:varOtec, rut:varRut},
                                  dataType: 'json'});
    
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', 'UA-103804510-1', 'auto');
        ga('send', 'pageview');
    </script>
  </body>
</html>
