<?PHP

global $PARAMETROS;

require_once $PARAMETROS["path"].$PARAMETROS["dbph"].'conexion.php' ;

class str_reemplazo extends Conexion
{
    public function reemplaza_DB_CONST($str_PAGE_origen, $PARAMETROS_VAR) 
    {
        $contador = 0;
        while (stripos($str_PAGE_origen,'DB_CONST:')>0 && $contador < 10)
        {
            $contador++;
            $pos_inicio = stripos($str_PAGE_origen,'DB_CONST:');
            $str_search = substr($str_PAGE_origen,$pos_inicio,16);
            foreach($PARAMETROS_VAR as $elemento)
            {
                if ($elemento["DKEY"] == substr($str_search,-7))
                {
                    $str_PAGE_origen = str_replace($str_search, $elemento["TEXTO"], $str_PAGE_origen); 
                    break;
                }
            }
        }
        return $str_PAGE_origen;
    }
    
    public function reemplazaValor($origen,$destino,$fuente)
    {
        return str_replace($origen,$destino,$fuente);    
    }

    public function generaEntidad($key,$value,$configuracion)
    {
        if (array_key_exists("COMILLAS", $configuracion)) { if ($configuracion["COMILLAS"]=="S") { $value = '"'.$value.'"';} }
        if (array_key_exists("IGUALA", $configuracion)) { if ($configuracion["IGUALA"]=="S") { $value = ($value!=""?"=".$value:"");} }
        if (array_key_exists("KEY", $configuracion)) { 
            if ($configuracion["KEY"]=="S") { $value = $key.$value;} 
            if (array_key_exists("REEMPLAZAK", $configuracion)) { $value = $this->reemplazaValor($key,$configuracion["REEMPLAZAK"],$value); } 
        }
        return $value;
    }
    
    public function reemplazaParametro($codigo,$origen,$destino)
    {
        global $PARAMETROS;
        $configuracion = $origen["DEFINICION"];
        $str_destino = "";
        if (array_key_exists(array_keys($origen)[0],$destino))
        {
            switch ($configuracion["TIPO"])
            {
                case "string":
                    $str_destino = $this->generaEntidad(array_keys($origen)[0],$destino[array_keys($origen)[0]],$configuracion);
                    break;
                case "array":
                    $arrValues = array();
                    foreach($destino[array_keys($origen)[0]] as $key=>$value)
                    {
//                        echo "generaEntidad(".$key.",".$value.",".$configuracion["arrayDEFINICION"].")";
                        $arrValues[] = $this->generaEntidad($key,$value,$configuracion["arrayDEFINICION"]);
                    }
                    $str_destino = $this->generaEntidad(array_keys($origen)[0],implode($configuracion["SEPARADOR"], $arrValues),$configuracion);
                    break;
                case "parametros":
                    $str_destino = "";
                    foreach($destino[array_keys($origen)[0]] as $key=>$value)
                    {
//                        echo "generaEntidad(".$key.",".$value.",".$configuracion.")";
                        $str_destino = $str_destino.$this->generaEntidad($key,$value,$configuracion)." ";
                    }
                    break;
            }
        }
//        echo "reemplazaValor(".$origen[array_keys($origen)[0]].",".$str_destino.",".$codigo.")";
        return $this->reemplazaValor($origen[array_keys($origen)[0]],$str_destino,$codigo);    
    }
}

?>